#ifndef CASHJSON_H_INCLUDED
#define CASHJSON_H_INCLUDED

#include "store/icashjson.h"
#include "../common/common.h"

#include "../stdafx.h"

#include "wrapper/store/pkistore.h"

#include "json/json.h"

class CashJson: public ICashJson {
public:
	CashJson(Handle<std::string> fileName);
	~CashJson(){};

public:
	Handle<std::string> jsonFileName;

	Handle<IPkiItemCollection> exportJson();
	void importJson(Handle<IPkiItem> item);
};

#endif //CASHJSON_H_INCLUDED
